summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--t/ax/am-test-lib.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/t/ax/am-test-lib.sh b/t/ax/am-test-lib.sh
index 8508197b9..e14f96fab 100644
--- a/t/ax/am-test-lib.sh
+++ b/t/ax/am-test-lib.sh
@@ -765,6 +765,19 @@ require_tool ()
echo "$me: running bison --version"
bison --version || skip_all_ "required program 'bison' not available"
;;
+ valac)
+ echo "$me: running valac --version"
+ if ! valac --version; then
+ skip_all_ "required program 'valac' not available"
+ elif cross_compiling; then
+ skip_all_ "cross-compiling valac-generated C files is brittle"
+ fi
+ # TODO: We also know we need GNU make, the C compiler, and pkg-config
+ # here, but there is no easy way to express this with the current
+ # code organization. We should improve the situation, sooner or
+ # later. At which point the tests requiring 'valac' can drop the
+ # explicit requirements for those tools.
+ ;;
*)
# Generic case: the tool must support --version.
echo "$me: running $1 --version"